Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class EventListener.Multicaster

    java.lang.Object
      de.grogra.util.EventListener.Multicaster

All Implemented Interfaces:
  java.util.EventListener

Enclosing interface:
  EventListener

    public static class EventListener.Multicaster

extends java.lang.Object
implements EventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Constructor Summary
`EventListener.Multicaster()`

Method Summary
`void` | `addEventListener(EventListener l)`
`void` | `eventOccured(java.util.EventObject event)` This method is invoked on registered event listeners when `event` has occured.
`void` | `removeAllListeners()`
`void` | `removeEventListener(EventListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListener.Multicaster

    public EventListener.Multicaster()

Method Detail

### addEventListener

    public final void addEventListener(EventListener l)

### eventOccured

    public void eventOccured(java.util.EventObject event)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `event` - an event

### removeAllListeners

    public final void removeAllListeners()

### removeEventListener

    public final void removeEventListener(EventListener l)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD